Loading...
Searching...
No Matches
endian

## Classes

struct | etl::endian
struct | etl::endianness

## Detailed Description

Constants & utilities for endianness

## Class Documentation

## etl::endian

struct etl::endian

Constants to denote endianness of operations.

### Public Types

enum | enum_type { little = ETL_ENDIAN_LITTLE , big = ETL_ENDIAN_BIG , native = ETL_ENDIAN_NATIVE }

## etl::endianness

struct etl::endianness

Checks the endianness of the platform.

### Public Member Functions

etl::endian | operator() () const
| operator etl::endian () const

### Static Public Member Functions

static etl::endian | value ()